﻿using System;
using System.Text.Json.Serialization;

namespace Falcon.SugarApi.ApiDefinistions
{
    /// <summary>
    /// api返回结果
    /// </summary>
    /// <typeparam name="T">携带的数据类型</typeparam>
    public class ApiResult<T>
    {
        /// <summary>
        /// 结果代码 0成功 1失败
        /// </summary>
        [JsonPropertyName("code")]
        public int Code { get; set; }
        /// <summary>
        /// 失败信息
        /// </summary>
        [JsonPropertyName("msg")]
        public string Msg { get; set; }
        /// <summary>
        /// 程序发生的异常
        /// </summary>
        public string? Exception { get; set; }
        /// <summary>
        /// 分页结果。如果为null则为未分页
        /// </summary>
        public PageResult? Paging { get; set; }
        /// <summary>
        /// 携带数据
        /// </summary>
        [JsonPropertyName("data")]
        public T? Data { get; set; }
    }
}
