﻿using System;

namespace Falcon.SugarApi.TimedTask
{
    /// <summary>
    /// 时间结构枚举
    /// </summary>
    [Flags]
    public enum TimePartEnum
    {
        /// <summary>
        /// 年
        /// </summary>
        Year = 1,
        /// <summary>
        /// 月
        /// </summary>
        Month = 2,
        /// <summary>
        /// 日
        /// </summary>
        Day = 4,
        /// <summary>
        /// 小时
        /// </summary>
        Hour = 8,
        /// <summary>
        /// 分
        /// </summary>
        Minute = 16,
        /// <summary>
        /// 秒
        /// </summary>
        Second = 32,
        /// <summary>
        /// 年和月
        /// </summary>
        YearMonth = Year + Month,
        /// <summary>
        /// 年月日
        /// </summary>
        YearDay = YearMonth + Day,
        /// <summary>
        /// 年月日时
        /// </summary>
        YearHour = YearDay + Hour,
        /// <summary>
        /// 年月日时分
        /// </summary>
        YearMinute = YearHour + Minute,
        /// <summary>
        /// 年月入时分秒
        /// </summary>
        YearSecond = YearMinute + Second,
    }
}
